Publishers
Publisher
Retrieve detailed metadata for a single publishing organization by its HX_P identifier.
GET
/
publishers
/
{id}
curl -X GET "https://api.hexagraph.in/publishers/HX_P4310320990"
fetch("https://api.hexagraph.in/publishers/HX_P4310320990")
.then(response => response.json())
.then(data => console.log(data));
import requests
response = requests.get("https://api.hexagraph.in/publishers/HX_P4310320990")
print(response.json())
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
resp, err := http.Get("https://api.hexagraph.in/publishers/HX_P4310320990")
if err != nil {
fmt.Println("Error:", err)
return
}
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}
{
"id": "HX_P4310320990",
"name": "Elsevier BV",
"alternate_titles": [
"Elsevier",
"elsevier.com",
"Elsevier Science",
"Uitg. Elsevier",
"السفير",
"السوير",
"انتشارات الزویر",
"لودویک السفیر",
"爱思唯尔"
],
"hierarchy_level": 0,
"parent_publisher": null,
"countries": [
{
"code": "NL",
"name": null
}
],
"homepage_url": "https://www.relx.com",
"image_url": "https://commons.wikimedia.org/w/index.php?title=Special:Redirect/file/Elsevier.svg",
"image_thumbnail_url": "https://commons.wikimedia.org/w/index.php?title=Special:Redirect/file/Elsevier.svg&width=300",
"outputs_count": 24185686,
"cited_by_count": 646480324,
"summary_stats": {
"2yr_mean_citedness": 4.319272176423483,
"h_index": 2891,
"i10_index": 10413621
},
"ids": {
"ror": "https://ror.org/02scfj030",
"wikidata": "https://www.wikidata.org/entity/Q746413"
},
"counts_by_year": [
{
"year": 2026,
"outputs_count": 661865,
"oa_outputs_count": 0,
"cited_by_count": 206628
},
{
"year": 2025,
"outputs_count": 1108363,
"oa_outputs_count": 0,
"cited_by_count": 3367431
},
{
"year": 2024,
"outputs_count": 1019513,
"oa_outputs_count": 0,
"cited_by_count": 8475596
}
],
"roles": [
{
"role": "funder",
"id": "HX_F4320308305",
"outputs_count": 162
},
{
"role": "institution",
"id": "HX_I1318003438",
"outputs_count": 7800
},
{
"role": "institution",
"id": "HX_I4210160603",
"outputs_count": 652
},
{
"role": "publisher",
"id": "HX_P4310320990",
"outputs_count": 24185686
}
],
"updated_date": "2026-08-05T04:01:49",
"created_date": "2023-01-01T00:00:00"
}
{
"statusCode": 400,
"message": "Only HX_ prefixed IDs are allowed",
"error": "Bad Request"
}
{
"statusCode": 404,
"message": "Publisher with ID HX_P9999999999 not found",
"error": "Not Found"
}
{
"statusCode": 429,
"error": "Too Many Requests",
"message": "IP rate limit exceeded (max 30 requests per minute). Please try again in 42 seconds (at 11:40:32 UTC).",
"reset_in_seconds": 42,
"reset_at_utc": "2026-08-05T11:40:32.000Z"
}
Retrieves a single publishing organization (commercial publisher, university press, or society publisher) by its
HX_P identifier.
Path Parameters
string
required
Unique publisher identifier (e.g.
HX_P4310319965). Must be prefixed with HX_P.Response Fields
string
required
Unique publisher identifier prefixed with
HX_P (e.g. HX_P4310320990).string
required
Publisher display name (e.g.
"Elsevier BV").array
Alternative publisher titles array.
integer
Hierarchy depth (
0 for top-level publisher group).object
Parent publishing group object.
array
string
Official homepage URL.
string
Publisher logo image URL.
string
Publisher logo thumbnail URL.
integer
Total number of indexed outputs published by this organization.
integer
Total citation count received across all published outputs.
object
object
array
array
string
ISO last updated timestamp.
string
ISO creation date timestamp.
curl -X GET "https://api.hexagraph.in/publishers/HX_P4310320990"
fetch("https://api.hexagraph.in/publishers/HX_P4310320990")
.then(response => response.json())
.then(data => console.log(data));
import requests
response = requests.get("https://api.hexagraph.in/publishers/HX_P4310320990")
print(response.json())
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
resp, err := http.Get("https://api.hexagraph.in/publishers/HX_P4310320990")
if err != nil {
fmt.Println("Error:", err)
return
}
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}
{
"id": "HX_P4310320990",
"name": "Elsevier BV",
"alternate_titles": [
"Elsevier",
"elsevier.com",
"Elsevier Science",
"Uitg. Elsevier",
"السفير",
"السوير",
"انتشارات الزویر",
"لودویک السفیر",
"爱思唯尔"
],
"hierarchy_level": 0,
"parent_publisher": null,
"countries": [
{
"code": "NL",
"name": null
}
],
"homepage_url": "https://www.relx.com",
"image_url": "https://commons.wikimedia.org/w/index.php?title=Special:Redirect/file/Elsevier.svg",
"image_thumbnail_url": "https://commons.wikimedia.org/w/index.php?title=Special:Redirect/file/Elsevier.svg&width=300",
"outputs_count": 24185686,
"cited_by_count": 646480324,
"summary_stats": {
"2yr_mean_citedness": 4.319272176423483,
"h_index": 2891,
"i10_index": 10413621
},
"ids": {
"ror": "https://ror.org/02scfj030",
"wikidata": "https://www.wikidata.org/entity/Q746413"
},
"counts_by_year": [
{
"year": 2026,
"outputs_count": 661865,
"oa_outputs_count": 0,
"cited_by_count": 206628
},
{
"year": 2025,
"outputs_count": 1108363,
"oa_outputs_count": 0,
"cited_by_count": 3367431
},
{
"year": 2024,
"outputs_count": 1019513,
"oa_outputs_count": 0,
"cited_by_count": 8475596
}
],
"roles": [
{
"role": "funder",
"id": "HX_F4320308305",
"outputs_count": 162
},
{
"role": "institution",
"id": "HX_I1318003438",
"outputs_count": 7800
},
{
"role": "institution",
"id": "HX_I4210160603",
"outputs_count": 652
},
{
"role": "publisher",
"id": "HX_P4310320990",
"outputs_count": 24185686
}
],
"updated_date": "2026-08-05T04:01:49",
"created_date": "2023-01-01T00:00:00"
}
{
"statusCode": 400,
"message": "Only HX_ prefixed IDs are allowed",
"error": "Bad Request"
}
{
"statusCode": 404,
"message": "Publisher with ID HX_P9999999999 not found",
"error": "Not Found"
}
{
"statusCode": 429,
"error": "Too Many Requests",
"message": "IP rate limit exceeded (max 30 requests per minute). Please try again in 42 seconds (at 11:40:32 UTC).",
"reset_in_seconds": 42,
"reset_at_utc": "2026-08-05T11:40:32.000Z"
}
⌘I
curl -X GET "https://api.hexagraph.in/publishers/HX_P4310320990"
fetch("https://api.hexagraph.in/publishers/HX_P4310320990")
.then(response => response.json())
.then(data => console.log(data));
import requests
response = requests.get("https://api.hexagraph.in/publishers/HX_P4310320990")
print(response.json())
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
resp, err := http.Get("https://api.hexagraph.in/publishers/HX_P4310320990")
if err != nil {
fmt.Println("Error:", err)
return
}
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}
{
"id": "HX_P4310320990",
"name": "Elsevier BV",
"alternate_titles": [
"Elsevier",
"elsevier.com",
"Elsevier Science",
"Uitg. Elsevier",
"السفير",
"السوير",
"انتشارات الزویر",
"لودویک السفیر",
"爱思唯尔"
],
"hierarchy_level": 0,
"parent_publisher": null,
"countries": [
{
"code": "NL",
"name": null
}
],
"homepage_url": "https://www.relx.com",
"image_url": "https://commons.wikimedia.org/w/index.php?title=Special:Redirect/file/Elsevier.svg",
"image_thumbnail_url": "https://commons.wikimedia.org/w/index.php?title=Special:Redirect/file/Elsevier.svg&width=300",
"outputs_count": 24185686,
"cited_by_count": 646480324,
"summary_stats": {
"2yr_mean_citedness": 4.319272176423483,
"h_index": 2891,
"i10_index": 10413621
},
"ids": {
"ror": "https://ror.org/02scfj030",
"wikidata": "https://www.wikidata.org/entity/Q746413"
},
"counts_by_year": [
{
"year": 2026,
"outputs_count": 661865,
"oa_outputs_count": 0,
"cited_by_count": 206628
},
{
"year": 2025,
"outputs_count": 1108363,
"oa_outputs_count": 0,
"cited_by_count": 3367431
},
{
"year": 2024,
"outputs_count": 1019513,
"oa_outputs_count": 0,
"cited_by_count": 8475596
}
],
"roles": [
{
"role": "funder",
"id": "HX_F4320308305",
"outputs_count": 162
},
{
"role": "institution",
"id": "HX_I1318003438",
"outputs_count": 7800
},
{
"role": "institution",
"id": "HX_I4210160603",
"outputs_count": 652
},
{
"role": "publisher",
"id": "HX_P4310320990",
"outputs_count": 24185686
}
],
"updated_date": "2026-08-05T04:01:49",
"created_date": "2023-01-01T00:00:00"
}
{
"statusCode": 400,
"message": "Only HX_ prefixed IDs are allowed",
"error": "Bad Request"
}
{
"statusCode": 404,
"message": "Publisher with ID HX_P9999999999 not found",
"error": "Not Found"
}
{
"statusCode": 429,
"error": "Too Many Requests",
"message": "IP rate limit exceeded (max 30 requests per minute). Please try again in 42 seconds (at 11:40:32 UTC).",
"reset_in_seconds": 42,
"reset_at_utc": "2026-08-05T11:40:32.000Z"
}